apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ template "nextcloud.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "nextcloud.name" . }}
    helm.sh/chart: {{ include "nextcloud.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
  annotations:
    certmanager.k8s.io/cluster-issuer: letsencrypt-prod
spec:
  rules:
  - host: {{ .Values.nextcloud.host }}
    http:
      paths:
      - backend:
          serviceName: {{ template "nextcloud.fullname" . }}
          servicePort: {{ .Values.service.port }}
  tls:
  - hosts: 
    - {{ .Values.nextcloud.host }}
    secretName: letsencrypt-prod